Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596292 - lsb compliancy issues
Summary: lsb compliancy issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 583086
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 14:37 UTC by michal novacek
Modified: 2012-06-26 16:25 UTC (History)
4 users (show)

Fixed In Version: iscsi-initiator-utils-6.2.0.872-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 583086
Environment:
Last Closed: 2010-11-10 20:42:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description michal novacek 2010-05-26 14:37:09 UTC
+++ This bug was initially created as a clone of Bug #583086 +++

Created an attachment (id=407139)
illustation of proposed solution

Description of problem:
There are two problems that I encountered, but is they are easy to fix I'm putting them under one bugzilla.

1/ initscripts /etc/init.d/iscsi and /etc/init.d/iscsid are not removing theirs .pid file which results in bad return codes (non-lsb compliant) and "Process dead but pid file exists" message on each starting of the service. (diff to illustrate the proposed fix: etc-init.d-iscsi.diff)

2/ start() in /etc/init.d/iscsi is using RETVAL variable which is used as general return value. It should be either renamed or declared local. ((diff to illustrate the proposed fix: etc-init.d-iscsid.diff)

Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.871-0.16.el5

How reproducible: always.

Steps to Reproduce:
1. install iscsi-initiator-utils
2. service iscsi start
3. echo $? (issue 1)
4. service iscsi restart (issue 2)
  
Actual results:


Expected results:


Additional info:
# rpm -q --verify iscsi-initiator-utils
# echo $? 
0

# service iscsi status
iscsid is stopped

# service iscsi start
iscsid is stopped
Starting iSCSI daemon:                                     [  OK  ]
                                                           [  OK  ]
Setting up iSCSI targets: iscsiadm: No records found!
                                                           [  OK  ]
# echo $?															 <<<< issue 1
3

# service iscsi restart
Stopping iSCSI daemon: 
iscsid dead but pid file exists                            [  OK  ]  <<<< issue 2
Starting iSCSI daemon:                                     [  OK  ]
                                                           [  OK  ]
Setting up iSCSI targets: iscsiadm: No records found!
                                                           [  OK  ]

--- Additional comment from mnovacek@redhat.com on 2010-04-16 12:01:57 EDT ---

Created an attachment (id=407141)
proposed fix for /etc/init.d/iscsid

--- Additional comment from mchristi@redhat.com on 2010-04-16 19:06:23 EDT ---

Thanks Michal. This seems ok to me. Adding devel ack for 5.6.

Comment 2 RHEL Product and Program Management 2010-06-07 16:04:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Mike Christie 2010-07-19 16:29:20 UTC
This should be fixed in iscsi-initiator-utils-6.2.0.872-7.

It is already in snap7. I must have messed up and marked the wrong bz as modified.

Comment 7 michal novacek 2010-09-09 13:34:55 UTC
service iscsi is now lsb compliant.

Comment 11 releng-rhel@redhat.com 2010-11-10 20:42:07 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.